/// <reference types="node" />
/// <reference types="bn.js" />
import { PublicKey, type Connection, type AccountInfo } from '@solana/web3.js';
import { type MarketAccount } from './client';
import { type Provider, BN } from '@coral-xyz/anchor';
export declare function findAccountsByMints(connection: Connection, baseMintAddress: PublicKey, quoteMintAddress: PublicKey, programId: PublicKey): Promise<Array<{
    publicKey: PublicKey;
    accountInfo: AccountInfo<Buffer>;
}>>;
interface Market {
    market: string;
    baseMint: string;
    quoteMint: string;
    name: string;
    timestamp: number | null | undefined;
}
export declare function findAllMarkets(connection: Connection, programId?: PublicKey, provider?: Provider): Promise<Market[]>;
export declare function uiPriceToLots(market: MarketAccount, price: number): BN;
export declare function uiBaseToLots(market: MarketAccount, quantity: number): BN;
export declare function uiQuoteToLots(market: MarketAccount, uiQuote: number): BN;
export declare function priceLotsToNative(market: MarketAccount, price: BN): BN;
export declare function priceLotsToUi(market: MarketAccount, price: BN): number;
export declare function priceNativeToUi(market: MarketAccount, price: number): number;
export declare function baseLotsToUi(market: MarketAccount, quantity: BN): number;
export declare function quoteLotsToUi(market: MarketAccount, quantity: BN): number;
export declare function quantityToUiBase(market: MarketAccount, quantity: BN, decimals: number): number;
export {};
